Browse Source

Removes dependencies to other components.

Now the web app can be installed separately from jicofo and jitsi-videobridge, or can be installed on machine running nginx or apache. Currently only nginx will be configured and apache config is left to user. Later we can add and the apache config. Renames jitsi-meet to jitsi-meet-web (just the web content) and jitsi-meet-web-config (configuring jetty, nginx or apache). A new jitsi-meet package will be introduced, a meta package depending on jicofo, jvb and the current packages.
j8
damencho 8 years ago
parent
commit
8da0d3a1f1

+ 21
- 5
debian/control View File

1
-Source: jitsi-meet
1
+Source: jitsi-meet-web
2
 Section: net
2
 Section: net
3
 Priority: extra
3
 Priority: extra
4
 Maintainer: Jitsi Team <dev@jitsi.org>
4
 Maintainer: Jitsi Team <dev@jitsi.org>
7
 Standards-Version: 3.9.6
7
 Standards-Version: 3.9.6
8
 Homepage: https://jitsi.org/meet
8
 Homepage: https://jitsi.org/meet
9
 
9
 
10
-Package: jitsi-meet
10
+Package: jitsi-meet-web
11
+Replaces: jitsi-meet (<= 1.0.1525-1)
11
 Architecture: all
12
 Architecture: all
12
-Depends: ${misc:Depends}, jitsi-videobridge, jitsi-meet-prosody,
13
- openjdk-8-jre-headless | nginx
13
+Depends: ${misc:Depends}
14
 Description: WebRTC JavaScript video conferences
14
 Description: WebRTC JavaScript video conferences
15
  Jitsi Meet is a WebRTC JavaScript application that uses Jitsi
15
  Jitsi Meet is a WebRTC JavaScript application that uses Jitsi
16
  Videobridge to provide high quality, scalable video conferences.
16
  Videobridge to provide high quality, scalable video conferences.
19
  forwarding and relaying, configured to work with jetty instance
19
  forwarding and relaying, configured to work with jetty instance
20
  running embedded into Jitsi Videobridge
20
  running embedded into Jitsi Videobridge
21
 
21
 
22
+Package: jitsi-meet-web-config
23
+Architecture: all
24
+Depends: openssl, openjdk-8-jre-headless | nginx | apache2,
25
+ jitsi-meet-web
26
+Description: Configuration for web serving of Jitsi Meet
27
+ Jitsi Meet is a WebRTC JavaScript application that uses Jitsi
28
+ Videobridge to provide high quality, scalable video conferences.
29
+ .
30
+ It is a web interface to Jitsi Videobridge for audio and video
31
+ forwarding and relaying, configured to work with jetty instance
32
+ running embedded into Jitsi Videobridge or using a webserver Nginx or
33
+ Apache2.
34
+ .
35
+ This package contains configuration for Nginx to be used with
36
+ Jitsi Meet.
37
+
22
 Package: jitsi-meet-prosody
38
 Package: jitsi-meet-prosody
23
 Architecture: all
39
 Architecture: all
24
-Depends: ${misc:Depends}, openssl, prosody | prosody-trunk, jitsi-videobridge, jicofo
40
+Depends: openssl, prosody | prosody-trunk, jitsi-meet-web
25
 Description: Prosody configuration for Jitsi Meet
41
 Description: Prosody configuration for Jitsi Meet
26
  Jitsi Meet is a WebRTC JavaScript application that uses Jitsi
42
  Jitsi Meet is a WebRTC JavaScript application that uses Jitsi
27
  Videobridge to provide high quality, scalable video conferences.
43
  Videobridge to provide high quality, scalable video conferences.

+ 0
- 4
debian/jitsi-meet-prosody.config View File

1
-#!/bin/sh -e
2
-
3
-# Source debconf library.
4
-. /usr/share/debconf/confmodule

+ 48
- 14
debian/jitsi-meet-prosody.postinst View File

21
 case "$1" in
21
 case "$1" in
22
     configure)
22
     configure)
23
 
23
 
24
-        . /etc/jitsi/videobridge/config
25
-
26
-        . /etc/jitsi/jicofo/config
27
-
28
         # loading debconf
24
         # loading debconf
29
         . /usr/share/debconf/confmodule
25
         . /usr/share/debconf/confmodule
30
 
26
 
27
+        # try to get host from jitsi-videobridge
28
+        db_get jitsi-videobridge/jvb-hostname
29
+        if [ -z "$RET" ] ; then
30
+            # server hostname
31
+            db_set jitsi-videobridge/jvb-hostname "localhost"
32
+            db_input critical jitsi-videobridge/jvb-hostname || true
33
+            db_go
34
+        fi
35
+        JVB_HOSTNAME="$RET"
36
+
37
+        db_get jitsi-videobridge/jvbsecret
38
+        if [ -z "$RET" ] ; then
39
+            db_input critical jitsi-videobridge/jvbsecret || true
40
+            db_go
41
+        fi
42
+        JVB_SECRET="$RET"
43
+
44
+        db_get jicofo/jicofo-authuser
45
+        if [ -z "$RET" ] ; then
46
+            db_input critical jicofo/jicofo-authuser || true
47
+            db_go
48
+        fi
49
+        JICOFO_AUTH_USER="$RET"
50
+
51
+        db_get jicofo/jicofo-authpassword
52
+        if [ -z "$RET" ] ; then
53
+            db_input critical jicofo/jicofo-authpassword || true
54
+            db_go
55
+        fi
56
+        JICOFO_AUTH_PASSWORD="$RET"
57
+
58
+        db_get jicofo/jicofosecret
59
+        if [ -z "$RET" ] ; then
60
+            db_input critical jicofo/jicofosecret || true
61
+            db_go
62
+        fi
63
+        JICOFO_SECRET="$RET"
64
+
65
+        JICOFO_AUTH_DOMAIN="auth.$JVB_HOSTNAME"
66
+
31
         # detect dpkg-reconfigure, just delete old links
67
         # detect dpkg-reconfigure, just delete old links
32
         db_get jitsi-meet-prosody/jvb-hostname
68
         db_get jitsi-meet-prosody/jvb-hostname
33
         JVB_HOSTNAME_OLD=$RET
69
         JVB_HOSTNAME_OLD=$RET
38
         fi
74
         fi
39
 
75
 
40
         # stores the hostname so we will reuse it later, like in purge
76
         # stores the hostname so we will reuse it later, like in purge
41
-        db_set jitsi-meet-prosody/jvb-hostname $JVB_HOSTNAME
77
+        db_set jitsi-meet-prosody/jvb-hostname "$JVB_HOSTNAME"
42
 
78
 
43
         # and we're done with debconf
79
         # and we're done with debconf
44
         db_stop
80
         db_stop
68
             fi
104
             fi
69
         fi
105
         fi
70
         # UPGRADE to server side focus check if focus is configured
106
         # UPGRADE to server side focus check if focus is configured
71
-        if [ -f $PROSODY_HOST_CONFIG ] && ! grep -q "VirtualHost \"auth.$JVB_HOSTNAME\"" $PROSODY_HOST_CONFIG; then
72
-            echo -e "\nVirtualHost \"auth.$JVB_HOSTNAME\"" >> $PROSODY_HOST_CONFIG
107
+        if [ -f $PROSODY_HOST_CONFIG ] && ! grep -q "VirtualHost \"$JICOFO_AUTH_DOMAIN\"" $PROSODY_HOST_CONFIG; then
108
+            echo -e "\nVirtualHost \"$JICOFO_AUTH_DOMAIN\"" >> $PROSODY_HOST_CONFIG
73
             echo -e "        authentication = \"internal_plain\"\n" >> $PROSODY_HOST_CONFIG
109
             echo -e "        authentication = \"internal_plain\"\n" >> $PROSODY_HOST_CONFIG
74
-            sed -i "s/Component \"conference.$JVB_HOSTNAME\" \"muc\"/Component \"conference.$JVB_HOSTNAME\" \"muc\"\nadmins = { \"$JICOFO_AUTH_USER@auth.$JVB_HOSTNAME\" }\n/g" $PROSODY_HOST_CONFIG
110
+            sed -i "s/Component \"conference.$JVB_HOSTNAME\" \"muc\"/Component \"conference.$JVB_HOSTNAME\" \"muc\"\nadmins = { \"$JICOFO_AUTH_USER@$JICOFO_AUTH_DOMAIN\" }\n/g" $PROSODY_HOST_CONFIG
75
             echo -e "Component \"focus.$JVB_HOSTNAME\"" >> $PROSODY_HOST_CONFIG
111
             echo -e "Component \"focus.$JVB_HOSTNAME\"" >> $PROSODY_HOST_CONFIG
76
             echo -e "    component_secret=\"$JICOFO_SECRET\"\n" >> $PROSODY_HOST_CONFIG
112
             echo -e "    component_secret=\"$JICOFO_SECRET\"\n" >> $PROSODY_HOST_CONFIG
77
             PROSODY_CREATE_JICOFO_USER="true"
113
             PROSODY_CREATE_JICOFO_USER="true"
78
         # UPGRADE to server side focus on old config(/etc/prosody/prosody.cfg.lua)
114
         # UPGRADE to server side focus on old config(/etc/prosody/prosody.cfg.lua)
79
-        elif [ ! -f $PROSODY_HOST_CONFIG ] && ! grep -q "VirtualHost \"auth.$JVB_HOSTNAME\"" $PROSODY_CONFIG_OLD; then
80
-            echo -e "\nVirtualHost \"auth.$JVB_HOSTNAME\"" >> $PROSODY_CONFIG_OLD
115
+        elif [ ! -f $PROSODY_HOST_CONFIG ] && ! grep -q "VirtualHost \"$JICOFO_AUTH_DOMAIN\"" $PROSODY_CONFIG_OLD; then
116
+            echo -e "\nVirtualHost \"$JICOFO_AUTH_DOMAIN\"" >> $PROSODY_CONFIG_OLD
81
             echo -e "        authentication = \"internal_plain\"\n" >> $PROSODY_CONFIG_OLD
117
             echo -e "        authentication = \"internal_plain\"\n" >> $PROSODY_CONFIG_OLD
82
             if ! grep -q "admins = { }" $PROSODY_CONFIG_OLD; then
118
             if ! grep -q "admins = { }" $PROSODY_CONFIG_OLD; then
83
-                echo -e "admins = { \"$JICOFO_AUTH_USER@auth.$JVB_HOSTNAME\" }\n" >> $PROSODY_CONFIG_OLD
119
+                echo -e "admins = { \"$JICOFO_AUTH_USER@$JICOFO_AUTH_DOMAIN\" }\n" >> $PROSODY_CONFIG_OLD
84
             else
120
             else
85
-                sed -i "s/admins = { }/admins = { \"$JICOFO_AUTH_USER@auth.$JVB_HOSTNAME\" }\n/g" $PROSODY_CONFIG_OLD
121
+                sed -i "s/admins = { }/admins = { \"$JICOFO_AUTH_USER@$JICOFO_AUTH_DOMAIN\" }\n/g" $PROSODY_CONFIG_OLD
86
             fi
122
             fi
87
             echo -e "Component \"focus.$JVB_HOSTNAME\"" >> $PROSODY_CONFIG_OLD
123
             echo -e "Component \"focus.$JVB_HOSTNAME\"" >> $PROSODY_CONFIG_OLD
88
             echo -e "    component_secret=\"$JICOFO_SECRET\"\n" >> $PROSODY_CONFIG_OLD
124
             echo -e "    component_secret=\"$JICOFO_SECRET\"\n" >> $PROSODY_CONFIG_OLD
109
 
145
 
110
         if [ "$PROSODY_CONFIG_PRESENT" = "false" ]; then
146
         if [ "$PROSODY_CONFIG_PRESENT" = "false" ]; then
111
             invoke-rc.d prosody restart
147
             invoke-rc.d prosody restart
112
-            invoke-rc.d jitsi-videobridge restart
113
-            invoke-rc.d jicofo restart
114
         fi
148
         fi
115
     ;;
149
     ;;
116
 
150
 

+ 3
- 0
debian/jitsi-meet-prosody.postrm View File

36
             rm -f /etc/prosody/conf.avail/$JVB_HOSTNAME.cfg.lua
36
             rm -f /etc/prosody/conf.avail/$JVB_HOSTNAME.cfg.lua
37
             rm -f /etc/prosody/conf.d/$JVB_HOSTNAME.cfg.lua
37
             rm -f /etc/prosody/conf.d/$JVB_HOSTNAME.cfg.lua
38
         fi
38
         fi
39
+
40
+        # Clear the debconf variable
41
+        db_purge
39
     ;;
42
     ;;
40
 
43
 
41
     upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
44
     upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)

+ 26
- 0
debian/jitsi-meet-prosody.templates View File

2
 Type: string
2
 Type: string
3
 _Description: The hostname of the current installation:
3
 _Description: The hostname of the current installation:
4
  The value for the hostname that is set in Jitsi Videobridge installation.
4
  The value for the hostname that is set in Jitsi Videobridge installation.
5
+
6
+Template: jitsi-videobridge/jvb-hostname
7
+Type: string
8
+_Description: The hostname of the current installation:
9
+ The value for the hostname that is set in Jitsi Videobridge installation.
10
+
11
+Template: jitsi-videobridge/jvbsecret
12
+Type: password
13
+_Description: Jitsi Videobridge Component secret:
14
+ The secret used by Jitsi Videobridge to connect to xmpp server as component.
15
+
16
+Template: jicofo/jicofo-authuser
17
+Type: string
18
+Default: focus
19
+_Description: Jicofo username:
20
+ The jicofo needs an authenticated admin user to connect to xmpp server.
21
+
22
+Template: jicofo/jicofo-authpassword
23
+Type: password
24
+_Description: Jicofo user password:
25
+ The secret used to connect to xmpp server as jicofo user.
26
+
27
+Template: jicofo/jicofosecret
28
+Type: password
29
+_Description: Jicofo Component secret:
30
+ The secret used to connect to xmpp server as component

+ 4
- 13
debian/jitsi-meet-tokens.postinst View File

21
 case "$1" in
21
 case "$1" in
22
     configure)
22
     configure)
23
 
23
 
24
-        if [ -f "/etc/jitsi/videobridge/config" ] ; then
25
-            . /etc/jitsi/videobridge/config
26
-        fi
27
-
28
-        if [ -f "/etc/jitsi/jicofo/config" ] ; then
29
-            . /etc/jitsi/jicofo/config
30
-        fi
31
-
32
         # loading debconf
24
         # loading debconf
33
         . /usr/share/debconf/confmodule
25
         . /usr/share/debconf/confmodule
34
 
26
 
27
+        db_get jitsi-meet-prosody/jvb-hostname
28
+        JVB_HOSTNAME="$RET"
29
+
35
         db_get jitsi-meet-tokens/appid
30
         db_get jitsi-meet-tokens/appid
36
         if [ "$RET" = "false" ] ; then
31
         if [ "$RET" = "false" ] ; then
37
             echo "Application ID is mandatory"
32
             echo "Application ID is mandatory"
45
         fi
40
         fi
46
         APP_SECRET=$RET
41
         APP_SECRET=$RET
47
 
42
 
48
-        # We can adjust Prosody config only if there is Jvb or Jicofo domain configured
49
         PROSODY_HOST_CONFIG="/etc/prosody/conf.avail/$JVB_HOSTNAME.cfg.lua"
43
         PROSODY_HOST_CONFIG="/etc/prosody/conf.avail/$JVB_HOSTNAME.cfg.lua"
50
-        if [ ! -f "$PROSODY_HOST_CONFIG" ] ; then
51
-            PROSODY_HOST_CONFIG="/etc/prosody/conf.avail/$JICOFO_HOSTNAME.cfg.lua"
52
-        fi
53
 
44
 
54
         # Store config filename for purge
45
         # Store config filename for purge
55
-        db_set jitsi-meet-prosody/prosody_config $PROSODY_HOST_CONFIG
46
+        db_set jitsi-meet-prosody/prosody_config "$PROSODY_HOST_CONFIG"
56
 
47
 
57
         db_stop
48
         db_stop
58
 
49
 

+ 2
- 0
debian/jitsi-meet-tokens.postrm View File

52
     ;;
52
     ;;
53
 
53
 
54
     purge)
54
     purge)
55
+        # Clear the debconf variable
56
+        db_purge
55
     ;;
57
     ;;
56
 
58
 
57
     upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
59
     upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)

debian/jitsi-meet.config → debian/jitsi-meet-web-config.config View File


debian/jitsi-meet.dirs → debian/jitsi-meet-web-config.dirs View File


debian/jitsi-meet.postinst → debian/jitsi-meet-web-config.postinst View File

1
 #!/bin/bash
1
 #!/bin/bash
2
-# postinst script for jitsi-meet
2
+# postinst script for jitsi-meet-web-config
3
 #
3
 #
4
 # see: dh_installdeb(1)
4
 # see: dh_installdeb(1)
5
 
5
 
20
 case "$1" in
20
 case "$1" in
21
     configure)
21
     configure)
22
 
22
 
23
-        JVB_ETC_CONFIG="/etc/jitsi/videobridge/config"
24
-
25
-        . $JVB_ETC_CONFIG
26
-
27
         # loading debconf
23
         # loading debconf
28
         . /usr/share/debconf/confmodule
24
         . /usr/share/debconf/confmodule
29
 
25
 
26
+        # try to get host from jitsi-videobridge
27
+        db_get jitsi-videobridge/jvb-hostname
28
+        if [ -z "$RET" ] ; then
29
+            # server hostname
30
+            db_set jitsi-videobridge/jvb-hostname "localhost"
31
+            db_input critical jitsi-videobridge/jvb-hostname || true
32
+            db_go
33
+        fi
34
+        JVB_HOSTNAME="$RET"
35
+
30
         # detect dpkg-reconfigure
36
         # detect dpkg-reconfigure
31
         RECONFIGURING="false"
37
         RECONFIGURING="false"
32
         db_get jitsi-meet/jvb-hostname
38
         db_get jitsi-meet/jvb-hostname
49
         if [ "$NGINX_INSTALL_CHECK" = "installed" ] || [ "$NGINX_INSTALL_CHECK" = "unpacked" ] ; then
55
         if [ "$NGINX_INSTALL_CHECK" = "installed" ] || [ "$NGINX_INSTALL_CHECK" = "unpacked" ] ; then
50
             FORCE_NGINX="true"
56
             FORCE_NGINX="true"
51
         fi
57
         fi
58
+        APACHE_INSTALL_CHECK="$(dpkg-query -f '${Status}' -W 'apache2' 2>/dev/null | awk '{print $3}' || true)"
59
+        if [ "$APACHE_INSTALL_CHECK" = "installed" ] || [ "$APACHE_INSTALL_CHECK" = "unpacked" ] ; then
60
+            FORCE_APACHE="true"
61
+        fi
52
 
62
 
53
-        # SSL for nginx
54
-        db_get jitsi-meet/cert-choice
55
-        CERT_CHOICE="$RET"
56
-        UPLOADED_CERT_CHOICE="A certificate is available and the files are uploaded on the server"
63
+        # if first time config ask for certs, or if we are reconfiguring
64
+        if [ -z "$JVB_HOSTNAME_OLD" ] || [ "$RECONFIGURING" = "true" ] ; then
65
+            # SSL for nginx
66
+            db_get jitsi-meet/cert-choice
67
+            CERT_CHOICE="$RET"
68
+            UPLOADED_CERT_CHOICE="A certificate is available and the files are uploaded on the server"
69
+
70
+            if [ "$CERT_CHOICE" = "$UPLOADED_CERT_CHOICE" ] ; then
71
+                db_set jitsi-meet/cert-path-key "/etc/ssl/$JVB_HOSTNAME.key"
72
+                db_input critical jitsi-meet/cert-path-key || true
73
+                db_go
74
+                db_get jitsi-meet/cert-path-key
75
+                CERT_KEY="$RET"
76
+                db_set jitsi-meet/cert-path-crt "/etc/ssl/$JVB_HOSTNAME.crt"
77
+                db_input critical jitsi-meet/cert-path-crt || true
78
+                db_go
79
+                db_get jitsi-meet/cert-path-crt
80
+                CERT_CRT="$RET"
81
+            else
82
+                # create self-signed certs
83
+                CERT_KEY="/etc/jitsi/meet/$JVB_HOSTNAME.key"
84
+                CERT_CRT="/etc/jitsi/meet/$JVB_HOSTNAME.crt"
85
+                HOST="$( (hostname -s; echo localhost) | head -n 1)"
86
+                DOMAIN="$( (hostname -d; echo localdomain) | head -n 1)"
87
+                openssl req -new -newkey rsa:4096 -days 365 -nodes -x509 -subj \
88
+                    "/O=$DOMAIN/OU=$HOST/CN=$JVB_HOSTNAME/emailAddress=webmaster@$HOST.$DOMAIN" \
89
+                    -keyout $CERT_KEY \
90
+                    -out $CERT_CRT
91
+            fi
92
+        fi
57
 
93
 
58
         # jitsi meet
94
         # jitsi meet
59
         JITSI_MEET_CONFIG="/etc/jitsi/meet/$JVB_HOSTNAME-config.js"
95
         JITSI_MEET_CONFIG="/etc/jitsi/meet/$JVB_HOSTNAME-config.js"
60
         if [ ! -f $JITSI_MEET_CONFIG ] ; then
96
         if [ ! -f $JITSI_MEET_CONFIG ] ; then
61
-            cp /usr/share/doc/jitsi-meet/config.js $JITSI_MEET_CONFIG
97
+            cp /usr/share/doc/jitsi-meet-web/config.js $JITSI_MEET_CONFIG
62
             sed -i "s/jitsi-meet.example.com/$JVB_HOSTNAME/g" $JITSI_MEET_CONFIG
98
             sed -i "s/jitsi-meet.example.com/$JVB_HOSTNAME/g" $JITSI_MEET_CONFIG
63
         fi
99
         fi
64
 
100
 
65
         # this is new install let's configure jvb to serve meet
101
         # this is new install let's configure jvb to serve meet
66
-        if [[ -z $FORCE_NGINX && ( -z $JVB_HOSTNAME_OLD || "$JVB_SERVE" = "true" ) ]] ; then
102
+        # no-nginx, no-apache installed on machine, this is new install or reconfiguring old one which have jvb_serve set
103
+        if [[ -z "$FORCE_NGINX" && -z "$FORCE_APACHE" && ( -z "$JVB_HOSTNAME_OLD" || ( "$JVB_SERVE" = "true" && "$RECONFIGURING" = "true" )) ]] ; then
67
 
104
 
105
+            JVB_ETC_CONFIG="/etc/jitsi/videobridge/config"
68
             JVB_CONFIG="/etc/jitsi/videobridge/sip-communicator.properties"
106
             JVB_CONFIG="/etc/jitsi/videobridge/sip-communicator.properties"
69
 
107
 
70
             # this is a reconfigure, lets just delete old links
108
             # this is a reconfigure, lets just delete old links
112
                 chmod 755 /etc/authbind/byport/443
150
                 chmod 755 /etc/authbind/byport/443
113
             fi
151
             fi
114
 
152
 
115
-            if [ "$CERT_CHOICE" = "$UPLOADED_CERT_CHOICE" ] ; then
116
-                # create jks from uploaded certs
117
-                openssl pkcs12 -export \
118
-                    -in /etc/ssl/$JVB_HOSTNAME.crt \
119
-                    -inkey /etc/ssl/$JVB_HOSTNAME.key \
120
-                    -passout pass:changeit > /etc/jitsi/videobridge/$JVB_HOSTNAME.p12
121
-                keytool -importkeystore \
122
-                    -srckeystore /etc/jitsi/videobridge/$JVB_HOSTNAME.p12 \
123
-                    -destkeystore /etc/jitsi/videobridge/$JVB_HOSTNAME.jks \
124
-                    -srcstoretype pkcs12 \
125
-                    -noprompt -storepass changeit -srcstorepass changeit
126
-            else
127
-                # create jks from self-signed certs
128
-                openssl pkcs12 -export \
129
-                    -in /var/lib/prosody/$JVB_HOSTNAME.crt \
130
-                    -inkey /var/lib/prosody/$JVB_HOSTNAME.key \
131
-                    -passout pass:changeit > /etc/jitsi/videobridge/$JVB_HOSTNAME.p12
132
-                keytool -importkeystore \
133
-                    -srckeystore /etc/jitsi/videobridge/$JVB_HOSTNAME.p12 \
134
-                    -destkeystore /etc/jitsi/videobridge/$JVB_HOSTNAME.jks \
135
-                    -srcstoretype pkcs12 \
136
-                    -noprompt -storepass changeit -srcstorepass changeit
137
-            fi
153
+            CERT_P12="/etc/jitsi/videobridge/$JVB_HOSTNAME.p12"
154
+            CERT_JKS="/etc/jitsi/videobridge/$JVB_HOSTNAME.jks"
155
+            # create jks from  certs
156
+            openssl pkcs12 -export \
157
+                -in $CERT_CRT -inkey $CERT_KEY -passout pass:changeit > $CERT_P12
158
+            keytool -importkeystore -destkeystore $CERT_JKS \
159
+                -srckeystore $CERT_P12 -srcstoretype pkcs12 \
160
+                -noprompt -storepass changeit -srcstorepass changeit
138
 
161
 
139
             db_set jitsi-meet/jvb-serve "true"
162
             db_set jitsi-meet/jvb-serve "true"
140
 
163
 
141
             invoke-rc.d jitsi-videobridge restart
164
             invoke-rc.d jitsi-videobridge restart
142
-        elif [[ "$FORCE_NGINX" = "true" || ( -n $JVB_HOSTNAME_OLD && "$JVB_SERVE" = "false" ) ]] ; then
165
+        elif [[ "$FORCE_NGINX" = "true" && ( -z "$JVB_HOSTNAME_OLD" || "$RECONFIGURING" = "true" ) ]] ; then
143
             # this is a reconfigure, lets just delete old links
166
             # this is a reconfigure, lets just delete old links
144
             if [ "$RECONFIGURING" = "true" ] ; then
167
             if [ "$RECONFIGURING" = "true" ] ; then
145
                 rm -f /etc/nginx/sites-enabled/$JVB_HOSTNAME_OLD.conf
168
                 rm -f /etc/nginx/sites-enabled/$JVB_HOSTNAME_OLD.conf
148
 
171
 
149
             # nginx conf
172
             # nginx conf
150
             if [ ! -f /etc/nginx/sites-available/$JVB_HOSTNAME.conf ] ; then
173
             if [ ! -f /etc/nginx/sites-available/$JVB_HOSTNAME.conf ] ; then
151
-                cp /usr/share/doc/jitsi-meet/jitsi-meet.example /etc/nginx/sites-available/$JVB_HOSTNAME.conf
174
+                cp /usr/share/doc/jitsi-meet-web/jitsi-meet.example /etc/nginx/sites-available/$JVB_HOSTNAME.conf
152
                 if [ ! -f /etc/nginx/sites-enabled/$JVB_HOSTNAME.conf ] ; then
175
                 if [ ! -f /etc/nginx/sites-enabled/$JVB_HOSTNAME.conf ] ; then
153
                     ln -s /etc/nginx/sites-available/$JVB_HOSTNAME.conf /etc/nginx/sites-enabled/$JVB_HOSTNAME.conf
176
                     ln -s /etc/nginx/sites-available/$JVB_HOSTNAME.conf /etc/nginx/sites-enabled/$JVB_HOSTNAME.conf
154
                 fi
177
                 fi
156
             fi
179
             fi
157
 
180
 
158
             if [ "$CERT_CHOICE" = "$UPLOADED_CERT_CHOICE" ] ; then
181
             if [ "$CERT_CHOICE" = "$UPLOADED_CERT_CHOICE" ] ; then
159
-                db_set jitsi-meet/cert-path-key "/etc/ssl/$JVB_HOSTNAME.key"
160
-                db_input critical jitsi-meet/cert-path-key || true
161
-                db_go
162
-                db_get jitsi-meet/cert-path-key
163
-                CERT_KEY="$RET"
164
-                db_set jitsi-meet/cert-path-crt "/etc/ssl/$JVB_HOSTNAME.crt"
165
-                db_input critical jitsi-meet/cert-path-crt || true
166
-                db_go
167
-                db_get jitsi-meet/cert-path-crt
168
-                CERT_CRT="$RET"
169
                 # replace self-signed certificate paths with user provided ones
182
                 # replace self-signed certificate paths with user provided ones
170
                 CERT_KEY_ESC=$(echo $CERT_KEY | sed 's/\./\\\./g')
183
                 CERT_KEY_ESC=$(echo $CERT_KEY | sed 's/\./\\\./g')
171
                 CERT_KEY_ESC=$(echo $CERT_KEY_ESC | sed 's/\//\\\//g')
184
                 CERT_KEY_ESC=$(echo $CERT_KEY_ESC | sed 's/\//\\\//g')
172
-                sed -i "s/ssl_certificate_key\ \/var\/lib\/prosody\/.*key/ssl_certificate_key\ $CERT_KEY_ESC/g" \
185
+                sed -i "s/ssl_certificate_key\ \/etc\/jitsi\/meet\/.*key/ssl_certificate_key\ $CERT_KEY_ESC/g" \
173
                     /etc/nginx/sites-available/$JVB_HOSTNAME.conf
186
                     /etc/nginx/sites-available/$JVB_HOSTNAME.conf
174
                 CERT_CRT_ESC=$(echo $CERT_CRT | sed 's/\./\\\./g')
187
                 CERT_CRT_ESC=$(echo $CERT_CRT | sed 's/\./\\\./g')
175
                 CERT_CRT_ESC=$(echo $CERT_CRT_ESC | sed 's/\//\\\//g')
188
                 CERT_CRT_ESC=$(echo $CERT_CRT_ESC | sed 's/\//\\\//g')
176
-                sed -i "s/ssl_certificate\ \/var\/lib\/prosody\/.*crt/ssl_certificate\ $CERT_CRT_ESC/g" \
189
+                sed -i "s/ssl_certificate\ \/etc\/jitsi\/meet\/.*crt/ssl_certificate\ $CERT_CRT_ESC/g" \
177
                     /etc/nginx/sites-available/$JVB_HOSTNAME.conf
190
                     /etc/nginx/sites-available/$JVB_HOSTNAME.conf
178
             fi
191
             fi
179
 
192
 
180
             invoke-rc.d nginx reload
193
             invoke-rc.d nginx reload
194
+        elif [[ "$FORCE_APACHE" = "true" && ( -z "$JVB_HOSTNAME_OLD" || "$RECONFIGURING" = "true" ) ]] ; then
195
+            echo "Apache2 server is installed, automatic configuration is not supported at this time."
196
+            echo "You need to configure yourselve the virtual host for your domain."
181
         fi
197
         fi
182
 
198
 
183
         # and we're done with debconf
199
         # and we're done with debconf

debian/jitsi-meet.postrm → debian/jitsi-meet-web-config.postrm View File

1
 #!/bin/sh
1
 #!/bin/sh
2
-# postrm script for jitsi-meet
2
+# postrm script for jitsi-meet-web-config
3
 #
3
 #
4
 # see: dh_installdeb(1)
4
 # see: dh_installdeb(1)
5
 
5
 
37
             rm -f /etc/nginx/sites-enabled/$JVB_HOSTNAME.conf
37
             rm -f /etc/nginx/sites-enabled/$JVB_HOSTNAME.conf
38
             rm -f /etc/jitsi/videobridge/$JVB_HOSTNAME.jks
38
             rm -f /etc/jitsi/videobridge/$JVB_HOSTNAME.jks
39
             rm -f /etc/jitsi/videobridge/$JVB_HOSTNAME.p12
39
             rm -f /etc/jitsi/videobridge/$JVB_HOSTNAME.p12
40
+            rm -f /etc/jitsi/meet/$JVB_HOSTNAME.key
41
+            rm -f /etc/jitsi/meet/$JVB_HOSTNAME.crt
40
         fi
42
         fi
43
+        # Clear the debconf variable
44
+        db_purge
41
     ;;
45
     ;;
42
     upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
46
     upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
43
     ;;
47
     ;;

debian/jitsi-meet.templates → debian/jitsi-meet-web-config.templates View File

30
 Default: false
30
 Default: false
31
 _Description: for internal use
31
 _Description: for internal use
32
  for internal use.
32
  for internal use.
33
+
34
+Template: jitsi-videobridge/jvb-hostname
35
+Type: string
36
+_Description: Hostname:
37
+ The Jitsi Meet web config package needs the DNS hostname of your instance.

debian/jitsi-meet.README.Debian → debian/jitsi-meet-web.README.Debian View File


debian/jitsi-meet.docs → debian/jitsi-meet-web.docs View File


debian/jitsi-meet.install → debian/jitsi-meet-web.install View File


+ 1
- 1
debian/po/POTFILES.in View File

1
-[type: gettext/rfc822deb] jitsi-meet.templates
1
+[type: gettext/rfc822deb] jitsi-meet-web-config.templates

+ 32
- 17
debian/po/templates.pot View File

1
+# SOME DESCRIPTIVE TITLE.
2
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
3
+# This file is distributed under the same license as the jitsi-meet-web package.
4
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
1
 #
5
 #
2
 #, fuzzy
6
 #, fuzzy
3
 msgid ""
7
 msgid ""
4
 msgstr ""
8
 msgstr ""
5
-"Project-Id-Version: jitsi-meet\n"
6
-"Report-Msgid-Bugs-To: jitsi-meet@packages.debian.org\n"
7
-"POT-Creation-Date: 2014-09-03 17:26+0200\n"
9
+"Project-Id-Version: jitsi-meet-web\n"
10
+"Report-Msgid-Bugs-To: jitsi-meet-web@packages.debian.org\n"
11
+"POT-Creation-Date: 2016-11-15 22:39+0000\n"
8
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
12
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
9
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
13
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
10
 "Language-Team: LANGUAGE <LL@li.org>\n"
14
 "Language-Team: LANGUAGE <LL@li.org>\n"
15
 
19
 
16
 #. Type: select
20
 #. Type: select
17
 #. Choices
21
 #. Choices
18
-#: ../jitsi-meet.templates:1001
22
+#: ../jitsi-meet-web-config.templates:1001
19
 msgid "Self-signed certificate will be generated"
23
 msgid "Self-signed certificate will be generated"
20
 msgstr ""
24
 msgstr ""
21
 
25
 
22
 #. Type: select
26
 #. Type: select
23
 #. Choices
27
 #. Choices
24
-#: ../jitsi-meet.templates:1001
28
+#: ../jitsi-meet-web-config.templates:1001
25
 msgid "A certificate is available and the files are uploaded on the server"
29
 msgid "A certificate is available and the files are uploaded on the server"
26
 msgstr ""
30
 msgstr ""
27
 
31
 
28
 #. Type: select
32
 #. Type: select
29
 #. Description
33
 #. Description
30
-#: ../jitsi-meet.templates:1002
34
+#: ../jitsi-meet-web-config.templates:1002
31
 msgid "SSL certificate for the Jitsi Meet instance"
35
 msgid "SSL certificate for the Jitsi Meet instance"
32
 msgstr ""
36
 msgstr ""
33
 
37
 
34
 #. Type: select
38
 #. Type: select
35
 #. Description
39
 #. Description
36
-#: ../jitsi-meet.templates:1002
40
+#: ../jitsi-meet-web-config.templates:1002
37
 msgid ""
41
 msgid ""
38
 "Jitsi Meet is best to be set up with an SSL certificate. Having no "
42
 "Jitsi Meet is best to be set up with an SSL certificate. Having no "
39
 "certificate, a self-signed one will be generated. Having a certificate "
43
 "certificate, a self-signed one will be generated. Having a certificate "
44
 
48
 
45
 #. Type: string
49
 #. Type: string
46
 #. Description
50
 #. Description
47
-#: ../jitsi-meet.templates:2001
51
+#: ../jitsi-meet-web-config.templates:2001
48
 msgid "Full local server path to the SSL key file:"
52
 msgid "Full local server path to the SSL key file:"
49
 msgstr ""
53
 msgstr ""
50
 
54
 
51
 #. Type: string
55
 #. Type: string
52
 #. Description
56
 #. Description
53
-#: ../jitsi-meet.templates:2001
57
+#: ../jitsi-meet-web-config.templates:2001
54
 msgid ""
58
 msgid ""
55
 "The full path to the SSL key file on the server. If it has not been "
59
 "The full path to the SSL key file on the server. If it has not been "
56
 "uploaded, now is a good time to do so."
60
 "uploaded, now is a good time to do so."
58
 
62
 
59
 #. Type: string
63
 #. Type: string
60
 #. Description
64
 #. Description
61
-#: ../jitsi-meet.templates:3001
65
+#: ../jitsi-meet-web-config.templates:3001
62
 msgid "Full local server path to the SSL certificate file:"
66
 msgid "Full local server path to the SSL certificate file:"
63
 msgstr ""
67
 msgstr ""
64
 
68
 
65
 #. Type: string
69
 #. Type: string
66
 #. Description
70
 #. Description
67
-#: ../jitsi-meet.templates:3001
71
+#: ../jitsi-meet-web-config.templates:3001
68
 msgid ""
72
 msgid ""
69
 "The full path to the SSL certificate file on the server. If you haven't "
73
 "The full path to the SSL certificate file on the server. If you haven't "
70
 "uploaded it, now is a good time to upload it in another console."
74
 "uploaded it, now is a good time to upload it in another console."
72
 
76
 
73
 #. Type: string
77
 #. Type: string
74
 #. Description
78
 #. Description
75
-#: ../jitsi-meet.templates:4001
79
+#: ../jitsi-meet-web-config.templates:4001
76
 msgid "The hostname of the current installation:"
80
 msgid "The hostname of the current installation:"
77
 msgstr ""
81
 msgstr ""
78
 
82
 
79
 #. Type: string
83
 #. Type: string
80
 #. Description
84
 #. Description
81
-#: ../jitsi-meet.templates:4001
85
+#: ../jitsi-meet-web-config.templates:4001
82
 msgid ""
86
 msgid ""
83
 "The value for the hostname that is set in Jitsi Videobridge installation."
87
 "The value for the hostname that is set in Jitsi Videobridge installation."
84
 msgstr ""
88
 msgstr ""
85
 
89
 
90
+#. Type: boolean
91
+#. Description
92
+#: ../jitsi-meet-web-config.templates:5001
93
+msgid "for internal use"
94
+msgstr ""
95
+
96
+#. Type: boolean
97
+#. Description
98
+#: ../jitsi-meet-web-config.templates:5001
99
+msgid "for internal use."
100
+msgstr ""
86
 
101
 
87
 #. Type: string
102
 #. Type: string
88
 #. Description
103
 #. Description
89
-#: ../jitsi-meet.templates:5001
90
-msgid "for internal use"
104
+#: ../jitsi-meet-web-config.templates:6001
105
+msgid "Hostname:"
91
 msgstr ""
106
 msgstr ""
92
 
107
 
93
 #. Type: string
108
 #. Type: string
94
 #. Description
109
 #. Description
95
-#: ../jitsi-meet.templates:5001
110
+#: ../jitsi-meet-web-config.templates:6001
96
 msgid ""
111
 msgid ""
97
-"Jitsi Videobridge installation can use its internal jetty to serve static meet pages."
112
+"The Jitsi Meet web config package needs the DNS hostname of your instance."
98
 msgstr ""
113
 msgstr ""

+ 2
- 2
doc/debian/jitsi-meet/jitsi-meet.example View File

15
 
15
 
16
     add_header Strict-Transport-Security "max-age=31536000";
16
     add_header Strict-Transport-Security "max-age=31536000";
17
 
17
 
18
-    ssl_certificate /var/lib/prosody/jitsi-meet.example.com.crt;
19
-    ssl_certificate_key /var/lib/prosody/jitsi-meet.example.com.key;
18
+    ssl_certificate /etc/jitsi/meet/jitsi-meet.example.com.crt;
19
+    ssl_certificate_key /etc/jitsi/meet/jitsi-meet.example.com.key;
20
 
20
 
21
     root /usr/share/jitsi-meet;
21
     root /usr/share/jitsi-meet;
22
     index index.html index.htm;
22
     index index.html index.htm;

Loading…
Cancel
Save